Package io.flutter.embedding.engine.dart

# Class DartExecutor.DartCallback

java.lang.Object
io.flutter.embedding.engine.dart.DartExecutor.DartCallback

Enclosing class:
  `DartExecutor`

public static class DartExecutor.DartCallback extends Object
Configuration options that specify which Dart callback function is executed and where to find that callback and other assets required for Dart execution.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final AssetManager`
  `androidAssetManager`
  Standard Android AssetManager, provided from some `Context` or `Resources`.
  `final FlutterCallbackInformation`
  `callbackHandle`
  A Dart callback that was previously registered with the Dart VM.
  `final String`
  `pathToBundle`
  The path within the AssetManager where the app will look for assets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DartCallback(AssetManager androidAssetManager, String pathToBundle, FlutterCallbackInformation callbackHandle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### androidAssetManager

    public final AssetManager androidAssetManager
    Standard Android AssetManager, provided from some `Context` or `Resources`.

  - ### pathToBundle

    public final String pathToBundle
    The path within the AssetManager where the app will look for assets.

  - ### callbackHandle

    public final FlutterCallbackInformation callbackHandle
    A Dart callback that was previously registered with the Dart VM.

- ## Constructor Details

  - ### DartCallback

    public DartCallback(@NonNull AssetManager androidAssetManager, @NonNull String pathToBundle, @NonNull FlutterCallbackInformation callbackHandle)

- ## Method Details

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`